'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validate = exports.generateRequestParameters = exports.parametize = exports.gitlab = undefined;

require('isomorphic-fetch');

var _fnArgs = require('fn-args');

var _fnArgs2 = _interopRequireDefault(_fnArgs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var gitlab = exports.gitlab = function gitlab(auth) {
  return function (request) {
    var args = [].concat(Array.prototype.slice.call(arguments));
    var funcArgs = args.slice(1);
    return args[0].call(this, auth).apply(undefined, _toConsumableArray(funcArgs));
  };
};

var parametize = exports.parametize = function parametize(options) {
  if (!options) {
    return '';
  }
  return '?' + Object.keys(options).map(function (option) {
    return option + '=' + encodeURI(options[option]);
  }).join('&');
};

var generateRequestParameters = exports.generateRequestParameters = function generateRequestParameters(token) {
  return { headers: new Headers({ 'PRIVATE-TOKEN': token }) };
};

var validate = exports.validate = function validate(url, token) {
  if (!token || !url) throw new Error("Please include Token");
};

exports.default = gitlab;