'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.request = undefined;

require('isomorphic-fetch');

var _index = require('../index');

var BASE_URL = '/api/v3/';

var request = exports.request = function request(_ref) {
  var url = _ref.url;
  var token = _ref.token;

  (0, _index.validate)(url, token);
  return function (path) {
    var _ref2 = arguments.length <= 1 || arguments[1] === undefined ? {} : arguments[1];

    var requestType = _ref2.requestType;
    var params = _ref2.params;

    return fetch(url + BASE_URL + path + (0, _index.parametize)(params), Object.assign((0, _index.generateRequestParameters)(token), requestType || { method: "Get" })).then(function (response) {
      return response.json();
    });
  };
};